Download the support bundle

Download the support bundle
Download the support bundle

Downloads the generated support bundle. When the check_only parameter is set to true, then status of the generation process is returned without downloading the file.

Request
URI
GET
https://{opsmanager-installation}/api/v0/support_bundle/{id}
COPY
Path Parameters
string
id
Required

id

Query Parameters
boolean
check_only
Optional

Only returns the status of the generation process without attempting to download the file.


Responses
200

Generation status or file download

Returns SupportBundle of type(s) application/json
{
    "process": {
        "id": 0,
        "status": "string",
        "start_time": "string",
        "finish_time": "string",
        "message": "string"
    }
}
process
Optional

process


400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


404

Not found or generation failed

{
    "process": {
        "id": 0,
        "status": "string",
        "start_time": "string",
        "finish_time": "string",
        "message": "string"
    }
}

423

Support bundle generation has not started yet

Returns SupportBundle of type(s) application/json
"SupportBundle Object"
process
Optional

process


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v0/support_bundle/{id}